Bug 114747 - address of temporary
Summary: address of temporary
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegames (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-02 11:22 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 16:35:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-02 11:22:44 UTC
Description of problem:

I just tried to compile package kdegames-3.1.4-2 from Redhat
Fedora Core 1.

The compiler said

1.

rattler.cpp:125: warning: taking address of temporary

The offending source code is

    bitBlt(this, 0, 0, &pix->levelPix(), 0, 0, rect().width(),
rect().height());

Suggest put the return value from levelPix into a local variable
to enable it's address to be taken.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marcin Garski 2004-10-19 16:35:46 UTC
Thank you for the bug report. This bug should be fixed by KDE
developers so everyone could use fixed version (not just Fedora Core
users).

I've file a bug report in KDE bugzilla:
https://bugs.kde.org/show_bug.cgi?id=91699

If you want to follow what happens to the bug, you can add yourself to
the upstream report.

Comment 2 Ngo Than 2004-10-19 20:37:23 UTC
Marcin, great work. Thanks for doing kde bugzilla!

Comment 3 Marcin Garski 2004-11-04 21:37:51 UTC
Fixed in KDE CVS!


Note You need to log in before you can comment on or make changes to this bug.